computers.deleteComputer
const url = 'https://example.com/v1/computers/example';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"commandKey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/computers/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "commandKey": "example" }'Accepts a command to delete a Computer and its sandbox, files and Bot grants. Follow its execution receipt for the result. A lost provider reply waits for a decision.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
Example generated
{ "commandKey": "example"}Responses
Section titled “Responses”Success
object
Example generated
{ "executionId": "example", "commandKey": "example", "sequence": 1}ComputerInvalid | OrganizationRequired
AuthenticationRequired
object
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | ExecutionForbidden | MembershipRequired | ForbiddenOrigin
ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid | ExecutionNotFound
object
object
object
object
object
object
Example
{ "_tag": "ComputerNotFound"}@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady | ExecutionConflict | ExecutionKeyConflict
object
object
object
object
object
object
object
Example
{ "_tag": "Pending"}RateLimited
object
Example
{ "_tag": "RateLimited"}ComputerProviderFailed | ComputerExecutionFailed
ComputersUnavailable | ExecutionUnavailable | AuthenticationUnavailable | RequestFailed